<?php include('casa/setup.casa.php');
$id = DataForms::GET('id');
include('inc_scripts.php');
$title = 'Modificar Producto';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = $db->dbField('prod_nombre');
	$prod_foto = $db->dbField('prod_foto');
		if($prod_foto=='') $prod_foto = 'vacio.png';
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_fecha = $db->dbField('prod_fecha');
	$prod_observaciones = $db->dbField('prod_observaciones');
//cantidad cajas y unidades
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
?>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Ubicaciones:</label>
												<select id="cmbUbicaciones" class="form-control" style="text-align:left">
															<option value="" selected>Listado de Ubicaciones</option>
<?php
$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
WHERE ubica_estado='1';";
$Ubicaciones = new DB();
$Ubicaciones->dbSQL($sqlUbicaciones);
$html = "";
	while($Ubicaciones->next()){
		$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
		$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');
		
		if($ubica_codigo == $ubica_codigo_prod){
			$html.='<option value="'.$ubica_codigo.'" selected>'.$ubica_nombre.'</option>';	
		}else{
			$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';
		}														
	}//wend() 

echo utf8_encode($html);
?>															
																														
												</select>
											</div>	
											<div class="form-group form-group-default">
												<label>Item:</label>
												<input id='txtItem' value='<?php echo $prod_item ?>' type="text" class="form-control">
											</div>		
											<div class="form-group form-group-default">
												<label>Producto:</label>
												<input id='txtProducto' value='<?php echo $prod_nombre ?>' type="text" class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Piezas por Caja:</label>
												<input id='txtPiezasCaja' value='<?php echo $prod_piezascaja ?>' type="number" class="form-control">
											</div>												
										</div>
										<div class="col-md-6 col-lg-4">	
											<div class="form-group form-group-default">
												<label>Cantidad Cajas:</label>
												<input id='txtCantidadCaja' value='<?php echo $CantidadRealCajas ?>' type="number" class="form-control">
											</div>																
											<div class="form-group form-group-default">
												<label>Precio Unitario Bs.:</label>
												<input id='txtPrecioUnitario' value='<?php echo $prod_preciounitario ?>' type="number" step='0.05' class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Precio por Docena Bs.:</label>
												<input id='txtPrecioDocena' value='<?php echo $prod_preciodocena ?>' type="number" step='0.05' class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Precio por Caja Docena Bs.:</label>
												<input id='txtPrecioCajaDocena' value='<?php echo $prod_preciocajadocena ?>' type="number" step='0.05' class="form-control">
											</div>	
											
										</div>
										<div class="col-md-6 col-lg-4">																																										
											<div class="form-group form-group-default">
												<label>Foto</label>
												<center><img src="<?php echo PATH_HOME.'fotos/small_'.$prod_foto ?>" width='200px'></center>
											</div>											
											<div class="form-group form-group-default">
												<label>Observaciones:</label>
												<textarea id='txtObservaciones' class="form-control"><?php echo $prod_observaciones ?></textarea>
											</div>
										</div>
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'productos/'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> GUARDAR DATOS </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'productos-upd2/'. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $id; ?>',
	 'cmbUbicaciones': $('#cmbUbicaciones').val(), 
	 'txtItem': $('#txtItem').val(), 
	 'txtProducto': $('#txtProducto').val(), 
	 'txtPiezasCaja': $('#txtPiezasCaja').val(), 
	 'txtCantidadCaja': $('#txtCantidadCaja').val(), 
	 'txtPrecioUnitario': $('#txtPrecioUnitario').val(), 
	 'txtPrecioDocena': $('#txtPrecioDocena').val(), 
	 'txtPrecioCajaDocena': $('#txtPrecioCajaDocena').val(), 
	 'txtObservaciones': $('#txtObservaciones').val(), 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>